Device record; public subset unless the caller is the owner
GET
/v1/devices/{node_id}
const url = 'https://testnet-rpc.necter.network/v1/devices/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://testnet-rpc.necter.network/v1/devices/exampleAuthorizations
Section titled “Authorizations”- None
- session
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
string
Responses
Section titled “Responses”Device
Media typeapplication/json
(owner sees all fields; public view omits hardware details and label)
object
node_id
required
string
public_key
required
string
label
string | null
group_id
string | null
class
string
platform
string
os_version
string
arch
string
engine
string
miner_version
string
ndsr_version
string
status
required
string
status_reason
string | null
last_seen_at
integer
hardware
benchmark
attestation
null
subscriptions
Array<string>
region
string | null
uptime_bp_7d
integer
units_7d
integer
created_at
integer
Example
{ "class": "phone", "platform": "android", "engine": "native", "status": "online", "hardware": { "network": "wifi" }, "benchmark": { "engine": "native" }}not_found
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}